/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.geronimo.internal;

import org.codehaus.cargo.container.geronimo.GeronimoPropertySet;

/**
 * Capabilities of the Geronimo's standalone local configuration.
 * 
 * @version $Id: Geronimo2xStandaloneLocalConfigurationCapability.java 3143 2011-11-23 22:51:49Z alitokmen $
 */
public class Geronimo2xStandaloneLocalConfigurationCapability
    extends Geronimo1xStandaloneLocalConfigurationCapability
{
    /**
     * Initialize Geronimo-specific configuration Map.
     */
    public Geronimo2xStandaloneLocalConfigurationCapability()
    {
        super();

        this.propertySupportMap.remove(GeronimoPropertySet.GERONIMO_SERVLET_CONTAINER_ID);
    }
}
